/*
 *   (C) Copyright IBM Corp. 2001, 2003
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software 
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Module: AIX Region Manager
 * File: evms2/engine/plugins/aix/aix_info.h
 */ 

// Functions exported from aix_info.c
extern int aix_get_volume_info(	storage_object_t	* region,
				extended_info_array_t	** info_array );
extern int aix_get_volume_extent_info(	storage_object_t	* region,
					extended_info_array_t	** info_array );
extern int aix_get_group_info(	storage_container_t	* container,
				extended_info_array_t	** info_array );
extern int aix_get_group_pv_list_info(	storage_container_t	* container,
					extended_info_array_t	** info_array );
extern int aix_get_group_lv_list_info(	storage_container_t	* container,
	                       		extended_info_array_t	** info_array );
extern int aix_get_pv_info(	storage_container_t	* container,
				extended_info_array_t	** info_array );
extern int aix_get_pv_extent_info(	storage_container_t	* container,
					extended_info_array_t	** info_array );
extern int AIX_dump_expand_region(storage_object_t * region, int lineNum);
extern int aix_dump_region(storage_object_t * region, int lineNum);

